National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2009-2335 Detail

Current Description

WordPress and WordPress MU before 2.8.1 exhibit different behavior for a failed login attempt depending on whether the user account exists, which allows remote attackers to enumerate valid usernames. NOTE: the vendor reportedly disputes the significance of this issue, indicating that the behavior exists for "user convenience."

Source:  MITRE
View Analysis Description

Impact

CVSS v2.0 Severity and Metrics:

Base Score: 5.0 MEDIUM
Vector: (AV:N/AC:L/Au:N/C:P/I:N/A:N) (V2 legend)
Impact Subscore: 2.9
Exploitability Subscore: 10.0


Access Vector (AV): Network
Access Complexity (AC): Low
Authentication (AU): None
Confidentiality (C): Partial
Integrity (I): None
Availability (A): None
Additional Information:
Allows unauthorized disclosure of information

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://corelabs.coresecurity.com/index.php?action=view&type=advisory&name=WordPress_Privileges_Unchecked Exploit Third Party Advisory
http://securitytracker.com/id?1022528 Third Party Advisory VDB Entry
http://www.exploit-db.com/exploits/9110 Third Party Advisory VDB Entry
http://www.securityfocus.com/archive/1/504795/100/0/threaded Third Party Advisory VDB Entry
http://www.securityfocus.com/bid/35581 Third Party Advisory VDB Entry
http://www.vupen.com/english/advisories/2009/1833 Patch Vendor Advisory
https://www.redhat.com/archives/fedora-package-announce/2009-August/msg00597.html Third Party Advisory
https://www.redhat.com/archives/fedora-package-announce/2009-August/msg00608.html Third Party Advisory
https://www.redhat.com/archives/fedora-package-announce/2009-July/msg00632.html Third Party Advisory
https://www.redhat.com/archives/fedora-package-announce/2009-July/msg00676.html Third Party Advisory

Technical Details

Vulnerability Type (View All)

Known Affected Software Configurations Switch to CPE 2.2

Configuration 1 ( hide )
 cpe:2.3:a:wordpress:wordpress:*:*:*:*:*:*:*:*
     Show Matching CPE(s)
Up to (excluding)
2.8.1
 cpe:2.3:a:wordpress:wordpress_mu:*:*:*:*:*:*:*:*
     Show Matching CPE(s)
Up to (excluding)
2.8.1


Change History

4 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2009-2335
NVD Published Date:
07/10/2009
NVD Last Modified:
11/08/2018